services:
  mc:
    image: itzg/minecraft-server:latest
    tty: true
    stdin_open: true
    ports:
      - "25565:25565"
    environment:
      EULA: "TRUE"
      TYPE: "FORGE"
      VERSION: "1.20.1"
      FORGE_VERSION: "47.4.10"
      MEMORY: "4096M"
      MAX_PLAYERS: "100"
      MOTD: "Welcome to the Chaos!"
      ICON: "http://www.chaoticchat.com/images/chaoticchat-icon.png"
      TZ: "America/Los_Angeles"
    volumes:
      # attach the relative directory 'data' to the container's /data path
      - ./minecraft/java